[Solved] Search for a device to connect to


#1

Greetings,

I’m looking forward to buy a set of Freedrum because i would love to play drums without putting real drums in my room (not enough space).

But now I’ve got a little problem… My phone is a Huawei P8 which doesn’t support MIDI and my computer (WIN10) has no bluetooth connection. As soon as I found no limitations to Apple devices I would buy an old Iphone 4s only to use freedrum but I’m not exactly sure if it would work without high latency.
Another option would be to buy a bluetooth connector for my PC. Is there anything I have to mind or can I use any connector?


#2

How about another option: just buy an old iPhone 6? They arn’t So expensive now? Is it really worth the risk in buying an old iPhone 4s only for it not to work?


#3

Well… this is why I’m asking. Does it work? (4s)
Also I would like to get the best and cheapest option because I don’t need a new phone. This one would only be for playing drums.


#4

Hi, just FYI, my old iPhone4s only supports up to iOS5.1.1 so sensorware doesn’t work. My “new” iPhone 6 supports iOS 11.2 and sensorware and garageband works. I don’t know about iPhone 5 or 5s.


#5

iPhone 5s Supports iOS 11.x.
A connector for PC costs around 10 Bugs. Have a Look at the Thread shown below, there is everything you Need to know about how it works on windows 10:


#6

I bought an old iPhone 4S and have no issues with it. It came with OS 9.3.5, sensorware (v7) works fine, as does garageband. It downloads the latest version that will work with that OS. No latency to speak of. SoCal drumkit works fine. :slight_smile:

So @Scaryclown862 the IPhone 4S is fine

@Nobu_K not sure you got a 4S there, perhaps an iPhone 4 without the “S” which did stop at an earlier OS version.


#7

Sorry, I have to say that the old one that doesn’t support Sensorware was iPhone 4, not 4s.
Thank you for confirmation.


#8

You need minimum iOS 9.3.5 to run Sensorware.

You can also get a cheap BLE USB stick to connect them to windows 10. I’m using the Asus BT400 with my windows computer.


#9

Hi ! I received my Freedrum kit last week and bought a used iPhone 4S…
The only thing I can say is : before buying it, check that GarageBand is already installed. If it’s note, you won’t be able to do this because your firmware is too old and you Can’t download an older version of GarageBand even if you got it on another device because it’s not possible anymore.

:wink:


#10

Not strictly true. If you Google it you will find there are solutions. From memory I think the way I did it was to “get” GarageBand using my Apple ID account on my MacBook. Because I “got” it on that, when I went into the app store on my iPhone 4S it was there and I could download and it checked for the version and suggested that I could download the most up to date previous version. I think this process has already been laid out in another thread somewhere, hope that helps.


#11

Here’s the previous thread with instructions …


#12

I tried to do this exactly as it’s explained and it doesn’t work anymore since the last Apple’s update (11/09) :slight_smile:


[Solved] iOS Garageband download on older hardware
#13

Oh no! We probably need to communicate that around the forum then … sorry you’ve found out the hard way! :face_with_raised_eyebrow:


#14

Thanks for your replies :smiley:
Now as a conclusion: If I would get an iphone 4s without garageband preinstalled, i won’t be able to use it.
Right?